%define	api		0.7
%define	major		0
%define	libname		%mklibname %{name} %{api} %{major}
%define gi_libname	%mklibname %{name}-gir %{api}
%define develname	%mklibname -d %{name} %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:          rest
Version:       0.7.12
Release:       %mkrel 1
Summary:       A library for access to RESTful web services

Group:         System/Libraries
License:       LGPLv2
URL:           http://www.gnome.org
Source0:       http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        rest-fixdso.patch

BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libsoup-devel
BuildRequires: libxml2-devel
BuildRequires: gtk-doc

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent 
remote objects, which methods can then be called on. The majority of services 
don't actually adhere to this strict definition. Instead, their RESTful end 
point usually has an API that is just simpler to use compared to other types 
of APIs they may support (XML-RPC, for instance). It is this kind of API that 
this library is attempting to support.

%package -n %{libname}
Summary:	A library for access to RESTful web services
Group:		System/Libraries

%description -n %{libname}
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n %{gi_libname}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_libname}
GObject introspection interface library for %{name}.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Files for development with %{name}.

%prep
%setup -q
%patch0 -p1 -b .fixdso

%build
%configure2_5x \
	--disable-static \
	--enable-gtk-doc \
	--enable-introspection=yes

%make V=1

%install
rm -rf %{buildroot}
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/librest-%{api}.so.%{major}
%{_libdir}/librest-%{api}.so.%{major}.*
%{_libdir}/librest-extras-%{api}.so.%{major}
%{_libdir}/librest-extras-%{api}.so.%{major}.*

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/Rest-%{api}.typelib
%{_libdir}/girepository-1.0/RestExtras-%{api}.typelib

%files -n %{develname}
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}*
%{_libdir}/librest-%{api}.so
%{_libdir}/librest-extras-%{api}.so
%{_datadir}/gtk-doc/html/%{name}*%{api}
%{_datadir}/gir-1.0/Rest-%{api}.gir
%{_datadir}/gir-1.0/RestExtras-%{api}.gir



%changelog

* Fri Nov 11 2011 wally <wally> 0.7.12-1.mga2
+ Revision: 166725
- new version 0.7.12
- minor .spec cleanup

* Thu Oct 27 2011 wally <wally> 0.7.11-1.mga2
+ Revision: 158824
- new version 0.7.11

* Tue Jul 05 2011 cjw <cjw> 0.7.10-1.mga2
+ Revision: 118964
- use mkrel
- imported package rest


* Sun Apr 24 2011 Peter Robinson <pbrobinson@gmail.com> 0.7.10-1
- Update to 0.7.10

* Sun Apr  3 2011 Peter Robinson <pbrobinson@gmail.com> 0.7.9-1
- Update to 0.7.9

* Wed Mar 23 2011 Peter Robinson <pbrobinson@gmail.com> 0.7.8-1
- Update to 0.7.8

* Tue Feb 22 2011 Peter Robinson <pbrobinson@gmail.com> 0.7.6-1
- Update to 0.7.6

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.7.5-1
- Update to 0.7.5
- Now its on gnome we have official tar file releases

* Wed Sep 29 2010 jkeating - 0.7.3-2
- Rebuilt for gcc bug 634757

* Wed Sep 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.7.3-1
- Update to 0.7.3

* Mon Aug 30 2010 Peter Robinson <pbrobinson@gmail.com> 0.7.2-1
- Update to 0.7.2

* Thu Aug  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.7.0-1
- Update to 0.7.0

* Sun Jul 11 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.4-1
- Update to 0.6.4

* Wed May 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.3-2
- some cleanups and fixes

* Wed May 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.3-1
- Update to 0.6.3, update url and source details, enable introspection

* Mon Feb 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-4
- Add patch to fix DSO linking. Fixes bug 564764

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-3
- Bump build

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-2
- Move to official tarball release of 0.6.1

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.6.1-1
- New upstream 0.6.1 release

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.6-1
- New upstream 0.6 release

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.5-3
- A few minor spec file cleanups

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.5-1
- Update to 0.5

* Mon Jun 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- Update to 0.4

* Wed Jun 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- Initial packaging
